package de.limited_dev.lil_judd.jdacommands.components;

import de.limited_dev.lil_judd.jdacommands.management.RemoveFeatureCommand;
import de.limited_dev.lil_judd.jdacommands.management.SetupFeatureCommand;
import de.limited_dev.lil_judd.jdacommands.util.*;
import de.limited_dev.lil_judd.jdacommands.weapons.RandomWeaponCommand;
import de.limited_dev.lil_judd.jdacommands.weapons.WeaponInfoCommand;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

public class JDACommandManager {

    private static List<JDACommand> commands = new CopyOnWriteArrayList<>();

    public static void registerCommands(){
        //commands.add(new SearchScrimCommand());
        //commands.add(new EndScrimCommand());
        //commands.add(new MessageScrimCommand());
        //commands.add(new ScrimInfoCommand());
        commands.add(new PingCommand());
        commands.add(new InfoCommand());
        commands.add(new SetupFeatureCommand());
        commands.add(new RemoveFeatureCommand());
        commands.add(new TranslateMapCommand());
        commands.add(new WeaponInfoCommand());
        commands.add(new RandomWeaponCommand());
    }

    public static List<JDACommand> getCommands() {
        return commands;
    }
}
